QUEUE_DELAYED_WORK_O(9)

NAME
queue_delayed_work_on - queue work on specific CPU after delay

SYNOPSIS

bool queue_delayed_work_on(int cpu, struct workqueue_struct * wq, struct delayed_work * dwork, unsigned long delay);

ARGUMENTS

cpu
    CPU number to execute work on

wq
    workqueue to use

dwork
    work to queue

delay
    number of jiffies to wait before queueing

RETURN

false if work was already on a queue, true otherwise. If delay is zero and dwork is idle, it will be scheduled for immediate execution.

COPYRIGHT